%global waddir  %{_datadir}/doom

Name:           freedoom-freedm

Version:        0.10.1
Release:        1%{?dist}
Summary:        Doom styled first person shooter deathmatch game

Group:          Amusements/Games
License:        BSD
URL:            https://freedoom.github.io/
Source0:        https://github.com/freedoom/freedoom/releases/download/v0.10.1/freedm-0.10.1.zip
Source1:        freedoom-freedm.desktop
Source2:        freedoom-freedm.appdata.xml
Source3:        freedoom.png

BuildArch:      noarch
BuildRequires:  desktop-file-utils libappstream-glib
Requires:       prboom hicolor-icon-theme

%description
Freedoom: FreeDM is a 32-level Doom styled first person shooter
game designed for competitive deathmatch play. 

Freedoom: FreeDM uses all Free as in freedoom content combined with
the Open Source Doom engine.


%prep
%setup -q -n freedm-%{version}


%build
# Game data files.  Nothing to build!


%install
install -pD -m 0644 freedm.wad %{buildroot}/%{waddir}/freedm.wad
desktop-file-install --dir %{buildroot}/%{_datadir}/applications %{SOURCE1}
mkdir -p %{buildroot}%{_datadir}/appdata
install -p -m 644 %{SOURCE2} %{buildroot}%{_datadir}/appdata
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/*.xml
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/
install -p -m 644 %{SOURCE3} %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc README.html CREDITS
%license COPYING
%{waddir}/freedm.wad
%{_datadir}/appdata/freedoom-freedm.appdata.xml
%{_datadir}/applications/freedoom-freedm.desktop
%{_datadir}/icons/hicolor/48x48/apps/freedoom.png


%changelog
* Fri Jan 29 2016 Hans de Goede <hdegoede@redhat.com> - 0.10.1-1
- New upstream release 0.10.1 (rhbz#1295716)
- Add appdata

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Aug 26 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7-1
- Update to latest upstream release
- No need to explicitly define buildroot, defattr or have a clean stage anymore
- Replace define with global as per current packaging guidelines
- Fix the desktop file to follow the latest spec

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 26 2009 Wart <wart at kobold.org> 0.6.4-1
- Update to 0.6.4

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jun 4 2008 Wart <wart at kobold.org> 0.6.2-1
- Update to 0.6.2

* Sat Aug 11 2007 Wart <wart at kobold.org> 0.5-4
- Use correct .desktop file version

* Sat Mar 10 2007 Wart <wart at kobold.org> 0.5-3
- Fix typo in desktop file category

* Sat Mar 3 2007 Wart <wart at kobold.org> 0.5-2
- Use better sourceforge download url
- Use more precise desktop file categories

* Sat Sep 16 2006 Wart <wart at kobold.org> 0.5-1
- Initial package for Fedora Extras
